This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 385751 - Newt::Form::DESTROY prints deprecated code warning.
Newt::Form::DESTROY prints deprecated code warning.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Newt (Show other bugs)
6
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-15 16:43 EST by Charlie Brady
Modified: 2008-04-09 01:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.08-21.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 01:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Charlie Brady 2007-11-15 16:43:28 EST
Description of problem:

examples/install prints warnings during exit - same is probably true of
program using Newt::Form::xxx.

 Use of inherited AUTOLOAD for non-method Newt::Form::DESTROY() is deprecated
        during global destruction (#1)
 Use of inherited AUTOLOAD for non-method Newt::Form::DESTROY() is deprecated 
during global destruction.

Version-Release number of selected component (if applicable):

bash-3.00$ rpm -q perl-Newt
perl-Newt-1.08-17
bash-3.00$


How reproducible:

Every time.

Steps to Reproduce:

Run "perl expample/install".
  
Additional info:

Adding this to Newt.pm makes the warnings go away:

*Newt::Form::AUTOLOAD = \&Newt::AUTOLOAD;

That's the recommended workaround from 'man perldiag'.
Comment 1 Charlie Brady 2007-11-15 16:56:45 EST
Note that this issue applies to RHEL4 at least, and probably other releases.
Comment 2 Jan Pazdziora 2008-03-05 10:43:07 EST
I've pinged Alejandro E. M. about possible new release with this fix.
Comment 3 Jan Pazdziora 2008-03-05 10:49:38 EST
I've got bounces emailing both the address from README and his @cpan.org email
address.

It looks like upstream of Newt is lost.
Comment 4 Bug Zapper 2008-04-04 03:40:38 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Charlie Brady 2008-04-04 10:41:37 EDT
This bug has been set to NEEDINFO. I don't know why. I've told you how to
reproduce the problem and I've told you how to fix the problem. What more info
do you need?
Comment 6 Tom "spot" Callaway 2008-04-04 14:19:38 EDT
Fixed in perl-Newt-1.08-21. If we wait for upstream to revive, this trivial bug
will never resolve, so I just did the one-line patch.
Comment 7 Fedora Update System 2008-04-04 14:28:22 EDT
perl-Newt-1.08-21.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-04-09 01:13:58 EDT
perl-Newt-1.08-21.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.